Bug 1253676 - Multiple Gkm file errors in /var/log/messages
Multiple Gkm file errors in /var/log/messages
Status: CLOSED WONTFIX
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - Satellite (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jason Montleon
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 08:33 EDT by Thom Carlin
Modified: 2016-06-13 14:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 14:43:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-08-14 08:33:31 EDT
Description of problem:

There are a number of errors in /var/log/messages

Version-Release number of selected component (if applicable):

This install was completed from an ISO with the Media ID 1439475247.560921 at 02:14:07 PM on 13 Aug 2015.

How reproducible:

Uncertain

Steps to Reproduce:
1. Install RHCI
2.
3.

Actual results:

gnome-keyring-daemon[8759]: Gkm: unable to create keyring dir: /root/.local/share/keyring

Expected results:

No errors

Additional info:

/var/log/messages excerpt:

gnome-keyring-daemon[8759]: Gkm: unable to create keyring dir: /root/.local/share/keyrings
gnome-keyring-daemon[8759]: Gkm: unable to create keyring dir: /root/.local/share/keyrings
gnome-keyring-daemon[8759]: Gkm: couldn't write to file: /root/.local/share/keyrings/login.keyring: No such file or directory
gnome-keyring-daemon[8759]: Gkm: couldn't delete aborted file, data may be lost: /root/.local/share/keyrings/login.keyring: No such file or directory
gnome-keyring-daemon[8759]: couldn't create login keyring: An error occurred on the device
gnome-keyring-daemon[8759]: failed to unlock login keyring on startup
<some messages repeat>
Comment 1 Landon LaSmith 2016-04-20 09:39:50 EDT
Noticed the same issues after trying to unlock Satellite.  Multiple attempts to login via console failed. I ssh'd into the machine and noticed the same entries in /var/log/messages triggered by each failed attempt. After a reboot, I was able to login, lock the machine and unlock via console.

Installer Version: TP3 RC4

Note You need to log in before you can comment on or make changes to this bug.